import { TimeRangeUpdatePayload } from 'traceviewer-base/lib/signals/time-range-data-signal-payloads';
import { ExperimentTimeRangeData } from '../../trace-explorer/trace-explorer-time-range-data-widget';
import { Experiment } from 'tsp-typescript-client/lib/models/experiment';
export declare class TimeRangeDataMap {
    private _experimentDataMap;
    private _activeData?;
    constructor();
    updateViewRange: (payload: TimeRangeUpdatePayload) => void;
    updateSelectionRange: (payload: TimeRangeUpdatePayload) => void;
    updateAbsoluteRange: (experiment: Experiment) => void;
    /**
     * Updates the data stored in experimentDataMap.  Works similar to setState() where
     * you only input the data to change and the existing values persist.
     * @param data Partial data of Experiment Time Range Data.
     */
    private updateExperimentTimeRangeData;
    setActiveExperiment(data?: ExperimentTimeRangeData): void;
    delete: (experiment: Experiment | string) => void;
    get(UUID: string): ExperimentTimeRangeData | undefined;
    set(data: ExperimentTimeRangeData): void;
    clear(): void;
    get activeData(): ExperimentTimeRangeData | undefined;
    get experimentDataMap(): Map<string, ExperimentTimeRangeData>;
}
//# sourceMappingURL=time-range-data-map.d.ts.map