/// <reference types="chart.js" />
import { TimeRange } from 'traceviewer-base/lib/utils/time-range';
import { AbstractOutputProps } from '../abstract-output-component';
export interface XYChartFactoryParams {
    viewRange: TimeRange;
    allMax: number;
    allMin: number;
    isScatterPlot: boolean;
}
export interface XYOutputMargin {
    top: number;
    right: number;
    bottom: number;
    left: number;
}
export interface GetClosestPointParam {
    dataPoints: XYPoint[];
    mousePosition: XYPoint;
    chartWidth: number;
    chartHeight: number;
    range: TimeRange;
    margin: XYOutputMargin;
    allMax: number;
    allMin: number;
}
export interface DrawSelectionParams {
    ctx: CanvasRenderingContext2D | null;
    chartArea: Chart.ChartArea | undefined | null;
    startPixel: number;
    endPixel: number;
    isBarPlot: boolean;
    props: AbstractOutputProps;
    invertSelection: boolean;
}
export interface XYPoint {
    x: number;
    y: number;
}
export declare function xyChartFactory(params: XYChartFactoryParams): Chart.ChartOptions;
export declare function drawSelection(params: DrawSelectionParams): void;
export declare function getClosestPointForScatterPlot(params: GetClosestPointParam): XYPoint | undefined;
export declare function numberFormat(rawNumber: number): string;
//# sourceMappingURL=xy-output-component-utils.d.ts.map